#
# This is the main cfengine config file for the andreas-privat.  All
# other cfengine config files are included from this file.
###############################################################################

control:
	
	#
	#  Decides what to be done and in which sequence
	#
	#  "copy" should come before "shellcommands" so that it is possible
	#  to drop in a script and then run it from a cfengine
	#  config file.
	#
	
	actionsequence = (
              			mountall
              			mountinfo
              			unmount
              			addmounts
              			directories
				links
              			mountall
				tidy
              			files
              			editfiles
                		copy
              	 		shellcommands
       			 )

        access                  = ( root ) 	# Hvem som skal ha tilgang til aa kjoere cfengine
        sysadm                  = ( root ) 	# Navn eller mailadresse til sysadm
        editfilesize            = ( 131072 )    # Maks stoerelse paa tekstfiler som kan bli editert 
	
	#
	# Variabler som definerer noen viktige kataloger
	#
	
	adminfiles              = ( /etc/cfengine/at ) 	
        repository              = ( /var/backups/cfengine ) 
	masterfiles		= ( /etc/cfengine/at/masterfiles ) 
	
	cfserver                = ( cfengine ) 
	
###############################################################################

groups:

	at  			= ( "/usr/bin/test -d /etc/local" )

###############################################################################

import:

	debian.at::
			
			cf.profile

###############################################################################
